{
  "compilerOptions": {
    "target": "ESNext",
    "module": "ESNext",
    "lib": ["ES2022", "DOM"],
    "useDefineForClassFields": true,
    "skipLibCheck": true,
    "sourceMap": true,
    "esModuleInterop": true,
    "baseUrl": ".",
    "importHelpers": true,
    "experimentalDecorators": true,
    "allowSyntheticDefaultImports": true,
    "forceConsistentCasingInFileNames": true,
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "allowJs": false,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "preserve",
    "strictFunctionTypes": false,
    "strict": false,
    "jsxImportSource": "vue",
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "noFallthroughCasesInSwitch": true,
    "paths": {
      "@/*": ["src/*"],
      "@config/*": ["config/*"]
    },
  "types": ["vite/client", "node"]
  },
  "include": ["src/**/*", "src/**/*.vue", "vite.config.ts"],
  "exclude": ["node_modules", "dist", "**/*.js"]
}
